# Consume an Item (ERC1155)

### Consume (burn) an item

## Consume an item directly from its owner wallet

<mark style="color:green;">`POST`</mark> `https://api.alturanft.com/api/v2/item/consume`

Takes an item's collection address, tokenId, amount to consume, address to consume from (from) and your API key and consume a given amount of the specified NFT from the specified address.

#### Query Parameters

| Name                                     | Type   | Description  |
| ---------------------------------------- | ------ | ------------ |
| apiKey<mark style="color:red;">\*</mark> | String | Your API key |

#### Request Body

| Name                                      | Type    | Description                                  |
| ----------------------------------------- | ------- | -------------------------------------------- |
| address<mark style="color:red;">\*</mark> | String  | The item's collection address                |
| tokenId<mark style="color:red;">\*</mark> | Integer | The item's tokenId                           |
| amount<mark style="color:red;">\*</mark>  | Integer | The amount of item to consume                |
| from<mark style="color:red;">\*</mark>    | String  | The address you want to consume an item from |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    // Response
}
```

{% endtab %}

{% tab title="500: Internal Server Error " %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
Only works if the item was created as consumable
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.altura.com/altura-documentation/api-reference/developer-wallet-endpoints/consume-an-item-erc1155.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
